/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dbEntity;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Null;
import javax.validation.constraints.Pattern;
import javax.validation.groups.Default;

import org.hibernate.validator.constraints.Email;

/**
 * 单表生成Entity
 * 
 * @author tangwc
 * @version 2018-05-23
 */
public class MdeCooperationMsg extends BaseEntity {

	private static final long serialVersionUID = 1L;

	public interface SaveGroup extends Default {
	}

	public interface UpdateGroup extends Default {
	}

	@Null(groups = { SaveGroup.class }, message = "")
	@NotNull(groups = { UpdateGroup.class }, message = "企业合作信息Id|'coopId' can not be null")
	private Integer coopId; // id自增

	@NotNull(message = "合作类别不能为空|Cooperation category cannot be empty")
	private Integer coopType; // 合作类型

	@Email(message="邮箱格式不正确|E-mail format is incorrect")
	private String email; // 邮箱

	@Pattern(regexp = "[1][3,4,5,7,8][0-9]{9}",message="手机号格式不正确|Phone number format is incorrect")
	private String phoneNo; // 手机号

	@NotNull(message = "姓名不能为空|Name cannot be empty")
	private String name; // 姓名

	@NotNull(message = "公司名称不能为空|Company name cannot be empty")
	private String companyName; // 公司名称

	@NotNull(message = "职位不能为空|Position cannot be empty")
	private String position; // 职位title

	private String visitStatus; // 回访状态

	private String comment; // 回访人

	public Integer getCoopId() {
		return coopId;
	}

	public void setCoopId(Integer coopId) {
		this.coopId = coopId;
	}

	public Integer getCoopType() {
		return coopType;
	}

	public void setCoopType(Integer coopType) {
		this.coopType = coopType;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPhoneNo() {
		return phoneNo;
	}

	public void setPhoneNo(String phoneNo) {
		this.phoneNo = phoneNo;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getVisitStatus() {
		return visitStatus;
	}

	public void setVisitStatus(String visitStatus) {
		this.visitStatus = visitStatus;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

}